> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usealmanac.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Api Keys



## OpenAPI

````yaml /openapi.json get /v1/organizations/{organization_id}/api-keys
openapi: 3.1.0
info:
  description: Versioned API for hosted Almanac wikis.
  title: Almanac V1 API
  version: 0.1.11
servers:
  - url: https://almanac-backend-83vc.onrender.com
security:
  - bearerAuth: []
paths:
  /v1/organizations/{organization_id}/api-keys:
    get:
      summary: Api Keys
      operationId: api_keys_v1_organizations__organization_id__api_keys_get
      parameters:
        - in: path
          name: organization_id
          required: true
          schema:
            title: Organization Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/HostedApiKey'
                title: >-
                  Response Api Keys V1 Organizations  Organization Id  Api Keys
                  Get
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HostedApiKey:
      additionalProperties: false
      properties:
        api_key_id:
          title: Api Key Id
          type: string
        created_at:
          title: Created At
          type: string
        expires_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Expires At
        last_used_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Used At
        name:
          title: Name
          type: string
        obfuscated_value:
          title: Obfuscated Value
          type: string
        permissions:
          items:
            type: string
          title: Permissions
          type: array
        updated_at:
          title: Updated At
          type: string
      required:
        - api_key_id
        - name
        - obfuscated_value
        - created_at
        - updated_at
      title: HostedApiKey
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Almanac access token or API key
      scheme: bearer
      type: http

````